[SRU] Needs NVIDIA driver 304.43 [HW-Certification blocker]

Bug #1037483 reported by Anthony Wong on 2012-08-16
106
This bug affects 16 people
Affects Status Importance Assigned to Milestone
nvidia-graphics-drivers (Ubuntu)
Medium
Alberto Milone
Precise
Medium
Alberto Milone
Quantal
Medium
Alberto Milone
nvidia-graphics-drivers-updates (Ubuntu)
Medium
Alberto Milone
Precise
Medium
Alberto Milone
Quantal
Medium
Alberto Milone
nvidia-settings (Ubuntu)
Medium
Alberto Milone
Precise
Medium
Alberto Milone
Quantal
Medium
Alberto Milone
nvidia-settings-updates (Ubuntu)
Medium
Alberto Milone
Precise
Medium
Alberto Milone
Quantal
Medium
Alberto Milone

Bug Description

The current nvidia driver in Precise does not work for some newer nvidia graphics cards. Without the driver, system will fail to resume from suspend, which is a certification blocker, such as bug 1036617.

Changed in linux (Ubuntu):
importance: Undecided → Medium
tags: added: blocks-hwcert-enablement
affects: linux (Ubuntu) → nvidia-graphics-drivers-updates (Ubuntu)
Changed in nvidia-graphics-drivers-updates (Ubuntu Precise):
assignee: nobody → Alberto Milone (albertomilone)
Changed in nvidia-settings-updates (Ubuntu):
assignee: nobody → Alberto Milone (albertomilone)
Changed in nvidia-settings-updates (Ubuntu Precise):
assignee: nobody → Alberto Milone (albertomilone)
Changed in nvidia-graphics-drivers-updates (Ubuntu Precise):
importance: Undecided → Medium
Changed in nvidia-settings-updates (Ubuntu):
importance: Undecided → Medium
Changed in nvidia-settings-updates (Ubuntu Precise):
importance: Undecided → Medium
Changed in nvidia-graphics-drivers-updates (Ubuntu):
status: New → In Progress
Changed in nvidia-graphics-drivers-updates (Ubuntu Precise):
status: New → In Progress
Changed in nvidia-settings-updates (Ubuntu):
status: New → In Progress
Changed in nvidia-settings-updates (Ubuntu Precise):
status: New → In Progress
tags: added: precise quantal upgrade-software-version
Eric Boucher (bouchereric0000) wrote :

This project is very urgent to be fixed, i am fully updated and i only have the 295.49 of nvidia driver...

295.49 was release by nvidia the 3 May of 2012.

Thanks,
Éric Boucher

Reminds me of the fact Ubuntu-preconfigured Notebooks will start will to sell Sept.2012 in India in certain shops

Boaz Dodin (bdcomp) wrote :

New stable version 304.43 just been released :
http://www.geforce.com/drivers/results/47534

Release Highlights:
* Added support for the following GPUs:
   GeForce GTX 660 Ti
   Quadro K5000
   Quadro K5000M
   Quadro K4000M
   Quadro K3000M
   NVS 510
* Fixed a bug that caused pre-release versions of X.Org xserver 1.13 to crash when certain GLX operations were performed, such as when starting Firefox.
* Fixed a bug that caused VDPAU to hang when expanding the YouTube Flash Player.
* Fixed a bug that caused gnome-settings-daemon to revert display configuration changes made by nvidia-settings.
* Updated nvidia-settings to use RandR per-CRTC gamma control, when available. When controlling an X server with support for RandR 1.2, nvidia-settings will display the color correction widget as a tab within each display device page, instead of a per-X screen color correction page.
* Fixed a bug that prevented the display palette from being updated immediately after an application called XStoreColors.
* Added the ability to select and move X screens in the "X Server Display Configuration" page of nvidia-settings via Ctrl-(Left)Click + Drag.

summary: - Needs NVIDIA driver 304.37
+ Needs NVIDIA driver 304.43

Boaz, we all know that NVIDIA driver 304.43 is release !

We request the carnical team to release it in depots !

Specially Alberto Milone (albertomilone) that is in charge for this since 12 days (2012-08-16) !

Ingo Gerth (igerth) wrote :

It is indeed a bit ineffecient to withhold this driver for so long, because since two weeks now I can not use Unity with the proprietary drivers because of the incompatibility with X.ORG 1.13. This in turn means that it is impossible for all testers using NVIDIA hardware to test all the multi-monitor fixes recently released, because we simply can not use a multi-monitor set-up with Nouveau.

Changed in nvidia-settings (Ubuntu):
status: New → In Progress
Changed in nvidia-settings (Ubuntu Precise):
status: New → In Progress
assignee: nobody → Alberto Milone (albertomilone)
Changed in nvidia-graphics-drivers (Ubuntu):
assignee: nobody → Alberto Milone (albertomilone)
Changed in nvidia-settings (Ubuntu):
assignee: nobody → Alberto Milone (albertomilone)
Changed in nvidia-graphics-drivers (Ubuntu Precise):
importance: Undecided → Medium
Changed in nvidia-settings (Ubuntu):
importance: Undecided → Medium
Changed in nvidia-settings (Ubuntu Precise):
importance: Undecided → Medium
Changed in nvidia-graphics-drivers (Ubuntu Precise):
status: New → In Progress
Changed in nvidia-graphics-drivers (Ubuntu):
status: New → In Progress
Changed in nvidia-graphics-drivers (Ubuntu Precise):
assignee: nobody → Alberto Milone (albertomilone)
Changed in nvidia-graphics-drivers (Ubuntu):
importance: Undecided → Medium
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nvidia-graphics-drivers - 304.43-0ubuntu1

---------------
nvidia-graphics-drivers (304.43-0ubuntu1) quantal; urgency=low

  * debian/rules:
    - Add support for X ABI 13.
  * New upstream release (LP: #1037483):
    - Added support for the following GPUs:
      o GeForce GTX 660 Ti
      o Quadro K5000
      o Quadro K5000M
      o Quadro K4000M
      o Quadro K3000M
      o NVS 510
    - Fixed a bug that caused pre-release versions of
      X.Org xserver 1.13 to crash when certain GLX
      operations were performed, such as when starting
      Firefox.
    - Fixed a bug that caused VDPAU to hang when
      expanding the YouTube Flash Player.
 -- Alberto Milone <email address hidden> Tue, 28 Aug 2012 12:47:45 +0200

Changed in nvidia-graphics-drivers (Ubuntu):
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nvidia-graphics-drivers-updates - 304.43-0ubuntu1

---------------
nvidia-graphics-drivers-updates (304.43-0ubuntu1) quantal; urgency=low

  * debian/rules:
    - Add support for X ABI 13.
  * New upstream release (LP: #1037483):
    - Added support for the following GPUs:
      o GeForce GTX 660 Ti
      o Quadro K5000
      o Quadro K5000M
      o Quadro K4000M
      o Quadro K3000M
      o NVS 510
    - Fixed a bug that caused pre-release versions of
      X.Org xserver 1.13 to crash when certain GLX
      operations were performed, such as when starting
      Firefox.
    - Fixed a bug that caused VDPAU to hang when
      expanding the YouTube Flash Player.
 -- Alberto Milone <email address hidden> Tue, 28 Aug 2012 12:38:54 +0200

Changed in nvidia-graphics-drivers-updates (Ubuntu):
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nvidia-settings - 304.43-0ubuntu1

---------------
nvidia-settings (304.43-0ubuntu1) quantal; urgency=low

  * New upstream release (LP: #1037483):
    - Updated nvidia-settings to use RandR per-CRTC gamma
      control, when available. When controlling an X
      server with support for RandR 1.2, nvidia-settings
      will display the color correction widget as a tab
      within each display device page, instead of a
      per-X screen color correction page.
    - Added the ability to select and move X screens in
      the "X Server Display Configuration" page of
      nvidia-settings via Ctrl-(Left)Click + Drag.
    - Fixed a bug that prevented the display palette
      from being updated immediately after an application
      called XStoreColors.
    - Fixed a bug that caused gnome-settings-daemon to
      revert display configuration changes made by
      nvidia-settings.
 -- Alberto Milone <email address hidden> Tue, 28 Aug 2012 14:01:47 +0200

Changed in nvidia-settings (Ubuntu):
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nvidia-settings-updates - 304.43-0ubuntu1

---------------
nvidia-settings-updates (304.43-0ubuntu1) quantal; urgency=low

  * New upstream release (LP: #1037483):
    - Updated nvidia-settings to use RandR per-CRTC gamma
      control, when available. When controlling an X
      server with support for RandR 1.2, nvidia-settings
      will display the color correction widget as a tab
      within each display device page, instead of a
      per-X screen color correction page.
    - Added the ability to select and move X screens in
      the "X Server Display Configuration" page of
      nvidia-settings via Ctrl-(Left)Click + Drag.
    - Fixed a bug that prevented the display palette
      from being updated immediately after an application
      called XStoreColors.
    - Fixed a bug that caused gnome-settings-daemon to
      revert display configuration changes made by
      nvidia-settings.
 -- Alberto Milone <email address hidden> Tue, 28 Aug 2012 14:06:26 +0200

Changed in nvidia-settings-updates (Ubuntu):
status: In Progress → Fix Released
Alberto Milone (albertomilone) wrote :

SRU request: as pointed out by Anthony we need this driver for hardware enablement. Please approve my upload.

Hello Anthony, or anyone else affected,

Accepted nvidia-graphics-drivers-updates into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/nvidia-graphics-drivers-updates/304.43-0ubuntu0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please change the bug tag from verification-needed to verification-done. If it does not, change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in nvidia-graphics-drivers-updates (Ubuntu Precise):
status: In Progress → Fix Committed
tags: added: verification-needed
Chris Halse Rogers (raof) wrote :

Hello Anthony, or anyone else affected,

Accepted nvidia-settings-updates into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/nvidia-settings-updates/304.43-0ubuntu0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please change the bug tag from verification-needed to verification-done. If it does not, change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in nvidia-settings-updates (Ubuntu Precise):
status: In Progress → Fix Committed

tested with gnome-shell, works fine and no crashes. Firefox crash also fixed.

tags: added: verification-done
removed: verification-needed

hi!

trying to test it, BUT tells me:

nvidia-current-updates:
 Hängt ab von: xorg-video-abi-11
 Empfiehlt: nvidia-settings-updates, aber es wird nicht installiert

So why does it depend on xorg-abi-11 ???

Since it's available i'm testing 304.43-0ubuntu1~xedgers~precise2 which will not be overvoted by the package provided with nvidia-current-updates. Also I've been testing the 304.43 from X-Swat-updates PPA, since it's available. Thre's no such dependency

Actually I think I should return to manual installation like in the early days with Ubuntu 7.10, if it's not possible to live without unnatural restrictions from Ubuntu. Just my 5¢

translation to english:

trying to test it, BUT tells me:

nvidia-current-updates:
 depends on: xorg-video-abi-11
 recommends: nvidia-settings-updates, but will not be installed.

Other information on my system: Kubuntu 12.04 fully updated as per today:

ppa's with probable relevance in use (also updated as per today):

https://launchpad.net/~xorg-edgers
https://launchpad.net/~kubuntu-ppa/+archive/ppa
https://launchpad.net/~kubuntu-ppa/+archive/backports/

Tony Whitmore (tonywhitmore) wrote :

I've tested the 304.43-0ubuntu2_amd64.deb versions and can now successfully produce and apply colour profiles! Which is great.

Although I enabled the -proposed repository, it didn't show the updated version as an available packaged. I had to manually download and install the deb files using dpkg.

hi!

NO nvidia-settings 304.43 available via Package-Management. only 295.33

12.04 i356. Ubuntu wt Unity

Cleaned some diskspace and made a fresh install in separate partition + complete update (decided not 2 purge ppa)

sourecode was uploaded 3 days ago: https://launchpad.net/ubuntu/precise/+queue?queue_state=3&queue_text=&memo=60&start=60

Why is it set to p r i o r i t y = l o w there, If this is a Certification-Blocker

@ Tony Whitmore: Hibernation?

I'm not a developer, but I could see some "hunk's" in the buildlog of nvidia-settings-304.43

Alberto, could you look at this again?

Also I hope once the Quantal-Kernel will be available as backport- LTS- Kernel this driver will run flawless.

Think this should get some attention as it will become the legacy driver for Gefore6 / Geforce7 cards

see also: http://www.phoronix.com/scan.php?page=news_item&px=MTE3MDA "NVIDIA To Discontinue Linux Support For Some GPUs" 31.8.2012

Can't start testing id these two are not in sync.

Changed in nvidia-settings-updates (Ubuntu Precise):
status: Fix Committed → Fix Released
Changed in nvidia-settings-updates (Ubuntu Precise):
status: Fix Released → Fix Committed

I can quite clearly see that the build failed (thus not "fix commited"):

https://launchpad.net/ubuntu/+source/nvidia-settings-updates/304.43-0ubuntu0.1

The package is not available neither for i386 nor amd64

It needs some brief attention if it is a Quality Issue.

btw: The driver & settings package are availabe via

https://launchpad.net/~ubuntu-x-swat/+archive/x-updates

since 28.08.2012. That's were the international support-forums have to direct the people to who are running nVidia-machines with Optimus-Technologie ( bumblebee) in the meantime...

Alberto Milone (albertomilone) wrote :

I have uploaded a new revision of nvidia-settings which fixes the FTBFS.

Also

@Flames_in_Paradise (ellisistfroh): doesn't xserver-xorg-core provide xorg-video-abi-11?

re: nvida-settings-updates (Precise)

Well, yes, thanks. It's slowly climbing up in the unapproved queue.... to the approved queue. Hopefully soon. All devs seem to be pretty busy on the Quetzal

Will be happy when it arrives in "done" because it's a jump of 2 versions.

@Alberto: Never mind the XServer-Version. I did a fresh install, there's always some space left on the HDD. btw I can still remeber the ENVY days. The nvidia-driver-update strikes me, because i've ordered a newer graphics card to join the testers when Quantal becomes beta.

tags: added: verification-needed
removed: verification-done

To avoid any misunderstandings: The Verification is not needed for the Quetzal but for Precise. The guys with Quetzal do have both packages alreday, and they donT need the SRU-Verification as it is in Development.

summary: - Needs NVIDIA driver 304.43
+ [SRU] Needs NVIDIA driver 304.43
summary: - [SRU] Needs NVIDIA driver 304.43
+ [SRU] Needs NVIDIA driver 304.43 [HW-Certifikation Blocker]
summary: - [SRU] Needs NVIDIA driver 304.43 [HW-Certifikation Blocker]
+ [SRU] Needs NVIDIA driver 304.43 [HW-Certification blocker]

It is beyond my common sense of understanding.

~ 300 shops start selling Ubuntu-preinstalled Laptops in India in 2012
~ 800 shops start selling Ubuntu-preinstalled machines in the asian continent this year.

A goal is set raise the number of sold machines up to 5%.

And we can' start testing because the nvidia-settings part is missing overal 3 weeks now since this was reported.

Hello Anthony, or anyone else affected,

Accepted nvidia-settings-updates into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/nvidia-settings-updates/304.43-0ubuntu0.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please change the bug tag from verification-needed to verification-done. If it does not, change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Luc Bruninx (luc2005) wrote :

It works for me.

The proposed update 304.43 solve all of my problems :
- Unity and KDE session unexpectedly closed.
- VirtualBox crach with 2D or 3D acceleration enabled.
- Display freezing when I use Oracle Java 7 applications.

I have a GeForce GTS 250 (1Gb) on a i7 960@3.20ghz with Precise 64bits.

James M. Leddy (jm-leddy) wrote :

Setting verification-done based on comment #27

tags: added: verification-done
removed: verification-needed
Boaz Dodin (bdcomp) wrote :

What prevents this package to move from "proposed" to "updates" on Precise?

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nvidia-graphics-drivers-updates - 304.43-0ubuntu0.1

---------------
nvidia-graphics-drivers-updates (304.43-0ubuntu0.1) precise-proposed; urgency=low

  * debian/rules:
    - Add support for X ABI 13.
  * New upstream release (LP: #1037483):
    - Added support for the following GPUs:
      o GeForce GTX 660 Ti
      o Quadro K5000
      o Quadro K5000M
      o Quadro K4000M
      o Quadro K3000M
      o NVS 510
    - Fixed a bug that caused pre-release versions of
      X.Org xserver 1.13 to crash when certain GLX
      operations were performed, such as when starting
      Firefox.
    - Fixed a bug that caused VDPAU to hang when
      expanding the YouTube Flash Player.
 -- Alberto Milone <email address hidden> Tue, 28 Aug 2012 17:09:43 +0200

Changed in nvidia-graphics-drivers-updates (Ubuntu Precise):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nvidia-settings-updates - 304.43-0ubuntu0.2

---------------
nvidia-settings-updates (304.43-0ubuntu0.2) precise-proposed; urgency=low

  * debian/rules, debian/patches/06_remove_local_prefix.patch:
    - Fix FTBFS (LP: #1037483).
  * Add 06_remove_local_prefix.patch.
  * Refresh 04_nvidia-settings_natty_ftbs.patch.
  * Disable 02_nvidia-settings-format-string.patch.
 -- Alberto Milone <email address hidden> Mon, 03 Sep 2012 15:12:11 +0200

Changed in nvidia-settings-updates (Ubuntu Precise):
status: Fix Committed → Fix Released
TienFu Chen (ctf) wrote :

The system, Dell Precision M4700, still has the suspend problem with installed
ii nvidia-current-updates 304.64-0ubuntu0.1 NVIDIA binary Xorg driver, kernel module and VDPAU library
ii nvidia-settings-updates 304.43-0ubuntu0.2 Tool of configuring the NVIDIA graphics driver

After the installation, the screen resolution is still the minimal. The driver seems failed to install.

I see there's interesting log when installing as below, not sure if it related to this bug.
update-initramfs: deferring update (trigger activated)^M
update-initramfs: Generating /boot/initrd.img-3.2.0-35-virtual^M
INFO:Enable nvidia-current-updates^M
DEBUG:Parsing /usr/share/nvidia-common/quirks/dell_latitude^M
DEBUG:Parsing /usr/share/nvidia-common/quirks/put_your_quirks_here^M
DEBUG:Parsing /usr/share/nvidia-common/quirks/lenovo_thinkpad^M
DEBUG:Processing quirk Latitude E6530^M
DEBUG:Failure to match Precision M4700 with Latitude E6530^M
DEBUG:Quirk doesn't match^M
DEBUG:Processing quirk ThinkPad T420s^M
DEBUG:Failure to match Dell Inc. with LENOVO^M
DEBUG:Quirk doesn't match^M
Loading new nvidia-current-updates-304.64 DKMS files...^M
First Installation: checking all kernels...^M
Building only for 3.2.0-35-virtual^M
Building for architecture x86_64^M
Module build for the currently running kernel was skipped since the^M
kernel source for this kernel does not seem to be installed.^M
Setting up nvidia-settings-updates (304.43-0ubuntu0.2) ...^M

Alberto Milone (albertomilone) wrote :

Can you please check again with the latest driver in Precise? Both nvidia-current and nvidia-current-updates were updated to version 304.88.

Alberto Milone (albertomilone) wrote :

@Tim: make sure you have the correct kernel headers installed.

I'm closing this bug report. Feel free to reopen it if, after a correct installation of the driver, the problem persists.

Changed in nvidia-graphics-drivers (Ubuntu Precise):
status: In Progress → Fix Released
Changed in nvidia-settings (Ubuntu Precise):
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Bug attachments